Bug 1731991 - Submit button is disabled when DatePicker and TimePicker fields set as required in dialog
Summary: Submit button is disabled when DatePicker and TimePicker fields set as requir...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.10.7
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: GA
: 5.10.8
Assignee: Martin Hradil
QA Contact: Niyaz Akhtar Ansari
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1728600
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-22 13:56 UTC by Satoe Imaishi
Modified: 2019-08-13 08:35 UTC (History)
6 users (show)

Fixed In Version: 5.10.8.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1728600
Environment:
Last Closed: 2019-08-13 08:35:41 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2466 None None None 2019-08-13 08:35:48 UTC

Comment 2 CFME Bot 2019-07-22 21:18:18 UTC
New commit detected on ManageIQ/ui-components/hammer:

https://github.com/ManageIQ/ui-components/commit/1d7732078b6fb3ee2b6ef72586529629a723f2a6
commit 1d7732078b6fb3ee2b6ef72586529629a723f2a6
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Fri Jul 19 09:22:44 2019 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Fri Jul 19 09:22:44 2019 -0400

    Merge pull request #401 from himdel/datetimesubmit-bz1728600

    Dialog user - fix validation for date & date&time when field is required; clearing the fields

    (cherry picked from commit 28592b743fd4092f1c8b9d4df8e984ba85dc4197)

    https://bugzilla.redhat.com/show_bug.cgi?id=1731991

 src/dialog-user/components/dialog-user/dialogField.html | 60 +-
 src/dialog-user/components/dialog-user/dialogField.ts | 14 +
 src/dialog-user/services/dialogData.spec.ts | 5 +-
 src/dialog-user/services/dialogData.ts | 48 +-
 4 files changed, 84 insertions(+), 43 deletions(-)

Comment 4 Niyaz Akhtar Ansari 2019-07-31 09:23:23 UTC
Verified in Version 5.10.8.0.20190729222758_e725e22

Comment 6 errata-xmlrpc 2019-08-13 08:35:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2466


Note You need to log in before you can comment on or make changes to this bug.